Subject: RE: [Monami6] Flow Bindings and destination addressindraft-soliman-monami6-flow-binding-00.txt

From: "Soliman, Hesham" <[email-masked]>
Date: Tue, 30 May 2006 07:39:12 -0700

> > Is the Flow Binding(s) created always between the Binding 
 > indicated by
 > > the BU and the Flow Identification option(s) carried in 
 > the same BU?

=> I'm not sure I understand the question here. The flow id option
identifies a flow and is carried in the BU. The flow has to use 
authorised addresses for the mobile. Please clarify.

 > >
 > > Is it correct if I say "A Flow Binding is an association between
 > > a MIPv6 Binding (e.g. BC entry or BUL entry) and a Flow 
 > Identifier"?

=> I don't think that's the right wording. I'd say it's a binding
of a flow to a particular care-of address.

 > >
 > > Let's have an existing (HoA-1, CoA-1) default binding for 
 > MN at the HA.
 > > Now, MN sends a BU with a Flow Identification option in a BU to HA
 > > like the following:
 > > o the CoA in the BU is CoA-1
 > > o the HoA in the BU is HoA-1
 > > o the dst addr in the Flow ID option is IP-X and the E flag set.
 > > IP-X != HoA-1 and IP-X != CoA-1.
 > > What kind of MIPv6 Binding and Flow Binding will it result?

=> We could debate whether the ownership of HoA-1 authorises the MN
to bind another address, say IP-X. I think it's easy to do that.
However,
the general rule is that the address in the flow id option must be
authorised. 
I think this is worth clarifying in the next rev of the draft

Hesham

 > >
 > > Regards,
 > > Gabor
 > >
 > > _______________________________________________
 > > Monami6 mailing list
 > > [email-masked]
 > > https://www1.ietf.org/mailman/listinfo/monami6 
 > 
 > 
 > 
 > 
 > _______________________________________________
 > Monami6 mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/monami6
 > 

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6